
Cook: znc 1.2
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): openssl-dev-1.1.0g
Installing (pkg/local): tcl-8.6.7
Installing (pkg/local): zlib-dev-1.2.11
Installing (pkg/local): tcl-dev-8.6.7
Extracting source archive "znc-1.2.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk

configure: loading site script /etc/slitaz/cook.site
checking for i486-slitaz-linux-g++... i486-slitaz-linux-g++
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether i486-slitaz-linux-g++ accepts -g... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking for grep that handles long lines and -e... /bin/grep
checking for a sed that does not truncate output... /bin/sed
checking build system type... i486-slitaz-linux-gnu
checking host system type... i486-slitaz-linux-gnu
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking whether the -Werror option is usable... yes
checking for simple visibility declarations... yes
checking for git... no
checking for i486-slitaz-linux-pkg-config... /usr/bin/i486-slitaz-linux-pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for getopt_long in -lgnugetopt... no
checking for lstat... yes
checking for getopt_long... yes
checking for getphassphrase... no
checking for library containing dlopen... -ldl
checking for the pthreads library -lpthreads... no
checking whether pthreads work without any flags... no
checking whether pthreads work with -Kthread... no
checking whether pthreads work with -kthread... no
checking for the pthreads library -llthread... no
checking whether pthreads work with -pthread... yes
checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
checking if more special flags are required for pthreads... no
checking for PTHREAD_PRIO_INHERIT... yes
checking whether getaddrinfo() supports AI_ADDRCONFIG... yes
checking for openssl... yes
checking whether openssl is usable... yes
checking whether zlib is usable... yes
checking for /usr/lib/tclConfig.sh... yes
checking modtcl flags... -I/usr/include -L/usr/lib -ltcl8.6
checking for Tcl_CreateInterp... yes
checking how to run the C++ preprocessor... i486-slitaz-linux-g++ -E
checking for egrep... /bin/grep -E
checking for iconv... yes
checking for working iconv... yes
checking for iconv declaration... 
         extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for GNU make... /usr/bin/make
configure: creating ./config.status
config.status: creating Makefile
config.status: creating znc-buildmod
config.status: creating man/Makefile
config.status: creating znc.pc
config.status: creating znc-uninstalled.pc
config.status: creating modules/Makefile
config.status: creating test/Makefile
config.status: creating include/znc/zncconfig.h

ZNC 1.2 configured

prefix:       /usr
debug:        no
ipv6:         yes
openssl:      yes
dns:          threads
perl:         no
python:       no
swig:         not needed
cyrus:        no
tcl:          yes
charset:      yes
zlib:         yes
run from src: no

Now you can run "make" to compile ZNC
Building core object ZNCString...
Building core object main...
Building core object Csocket...
Building core object znc...
Packing man page znc.1.gz...
Packing man page znc-buildmod.1.gz...
Building module autocycle...
Building core object IRCNetwork...
src/Csocket.cpp: In function 'void ShutdownCsocket()':
src/Csocket.cpp:515:22: warning: 'void ERR_remove_state(long unsigned int)' is deprecated [-Wdeprecated-declarations]
  ERR_remove_state( 0 );
                      ^
In file included from /usr/include/openssl/ct.h:13:0,
                 from /usr/include/openssl/ssl.h:61,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/err.h:248:1: note: declared here
 DEPRECATEDIN_1_0_0(void ERR_remove_state(unsigned long pid))
 ^
src/Csocket.cpp: In function 'bool InitSSL(ECompType)':
src/Csocket.cpp:569:8: error: 'COMP_rle' was not declared in this scope
   cm = COMP_rle();
        ^~~~~~~~
src/Csocket.cpp:569:8: note: suggested alternative: 'COMP_zlib'
   cm = COMP_rle();
        ^~~~~~~~
        COMP_zlib
src/Csocket.cpp: In member function 'virtual bool Csock::SSLClientSetup()':
src/Csocket.cpp:1343:29: error: 'SSLv3_client_method' was not declared in this scope
    m_ssl_ctx = SSL_CTX_new( SSLv3_client_method() );
                             ^~~~~~~~~~~~~~~~~~~
src/Csocket.cpp:1343:29: note: suggested alternative: 'SSLv23_client_method'
    m_ssl_ctx = SSL_CTX_new( SSLv3_client_method() );
                             ^~~~~~~~~~~~~~~~~~~
                             SSLv23_client_method
src/Csocket.cpp:1351:49: warning: 'const SSL_METHOD* TLSv1_client_method()' is deprecated [-Wdeprecated-declarations]
    m_ssl_ctx = SSL_CTX_new( TLSv1_client_method() );
                                                 ^
In file included from /usr/include/openssl/ct.h:13:0,
                 from /usr/include/openssl/ssl.h:61,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ssl.h:1626:1: note: declared here
 DEPRECATEDIN_1_1_0(__owur const SSL_METHOD *TLSv1_client_method(void)) /* TLSv1.0 */
 ^
src/Csocket.cpp:1360:29: error: 'SSLv2_client_method' was not declared in this scope
    m_ssl_ctx = SSL_CTX_new( SSLv2_client_method() );
                             ^~~~~~~~~~~~~~~~~~~
src/Csocket.cpp:1360:29: note: suggested alternative: 'SSLv23_client_method'
    m_ssl_ctx = SSL_CTX_new( SSLv2_client_method() );
                             ^~~~~~~~~~~~~~~~~~~
                             SSLv23_client_method
src/Csocket.cpp: In member function 'virtual bool Csock::SSLServerSetup()':
src/Csocket.cpp:1439:29: error: 'SSLv3_server_method' was not declared in this scope
    m_ssl_ctx = SSL_CTX_new( SSLv3_server_method() );
                             ^~~~~~~~~~~~~~~~~~~
src/Csocket.cpp:1439:29: note: suggested alternative: 'SSLv23_server_method'
    m_ssl_ctx = SSL_CTX_new( SSLv3_server_method() );
                             ^~~~~~~~~~~~~~~~~~~
                             SSLv23_server_method
src/Csocket.cpp:1447:49: warning: 'const SSL_METHOD* TLSv1_server_method()' is deprecated [-Wdeprecated-declarations]
    m_ssl_ctx = SSL_CTX_new( TLSv1_server_method() );
                                                 ^
In file included from /usr/include/openssl/ct.h:13:0,
                 from /usr/include/openssl/ssl.h:61,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ssl.h:1625:1: note: declared here
 DEPRECATEDIN_1_1_0(__owur const SSL_METHOD *TLSv1_server_method(void)) /* TLSv1.0 */
 ^
src/Csocket.cpp:1456:29: error: 'SSLv2_server_method' was not declared in this scope
    m_ssl_ctx = SSL_CTX_new( SSLv2_server_method() );
                             ^~~~~~~~~~~~~~~~~~~
src/Csocket.cpp:1456:29: note: suggested alternative: 'SSLv23_server_method'
    m_ssl_ctx = SSL_CTX_new( SSLv2_server_method() );
                             ^~~~~~~~~~~~~~~~~~~
                             SSLv23_server_method
src/Csocket.cpp: In member function 'CString Csock::GetPeerPubKey()':
src/Csocket.cpp:2170:26: error: invalid use of incomplete type 'SSL_SESSION {aka struct ssl_session_st}'
  if( pSession && pSession->peer )
                          ^~
In file included from ./include/znc/Csocket.h:84:0,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ssl.h:228:16: note: forward declaration of 'SSL_SESSION {aka struct ssl_session_st}'
 typedef struct ssl_session_st SSL_SESSION;
                ^~~~~~~~~~~~~~
src/Csocket.cpp:2170:28: error: invalid use of incomplete type 'SSL_SESSION {aka struct ssl_session_st}'
  if( pSession && pSession->peer )
                            ^~~~
In file included from ./include/znc/Csocket.h:84:0,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ssl.h:228:16: note: forward declaration of 'SSL_SESSION {aka struct ssl_session_st}'
 typedef struct ssl_session_st SSL_SESSION;
                ^~~~~~~~~~~~~~
src/Csocket.cpp:2172:46: error: invalid use of incomplete type 'SSL_SESSION {aka struct ssl_session_st}'
   EVP_PKEY * pKey = X509_get_pubkey( pSession->peer );
                                              ^~
In file included from ./include/znc/Csocket.h:84:0,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ssl.h:228:16: note: forward declaration of 'SSL_SESSION {aka struct ssl_session_st}'
 typedef struct ssl_session_st SSL_SESSION;
                ^~~~~~~~~~~~~~
src/Csocket.cpp:2172:48: error: invalid use of incomplete type 'SSL_SESSION {aka struct ssl_session_st}'
   EVP_PKEY * pKey = X509_get_pubkey( pSession->peer );
                                                ^~~~
In file included from ./include/znc/Csocket.h:84:0,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ssl.h:228:16: note: forward declaration of 'SSL_SESSION {aka struct ssl_session_st}'
 typedef struct ssl_session_st SSL_SESSION;
                ^~~~~~~~~~~~~~
src/Csocket.cpp:2176:16: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
    switch( pKey->type )
                ^~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ossl_typ.h:93:16: note: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
 typedef struct evp_pkey_st EVP_PKEY;
                ^~~~~~~~~~~
src/Csocket.cpp:2176:18: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
    switch( pKey->type )
                  ^~~~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ossl_typ.h:93:16: note: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
 typedef struct evp_pkey_st EVP_PKEY;
                ^~~~~~~~~~~
src/Csocket.cpp:2180:28: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
     hxKey = BN_bn2hex( pKey->pkey.rsa->n );
                            ^~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ossl_typ.h:93:16: note: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
 typedef struct evp_pkey_st EVP_PKEY;
                ^~~~~~~~~~~
src/Csocket.cpp:2180:30: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
     hxKey = BN_bn2hex( pKey->pkey.rsa->n );
                              ^~~~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ossl_typ.h:93:16: note: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
 typedef struct evp_pkey_st EVP_PKEY;
                ^~~~~~~~~~~
src/Csocket.cpp:2185:28: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
     hxKey = BN_bn2hex( pKey->pkey.dsa->pub_key );
                            ^~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ossl_typ.h:93:16: note: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
 typedef struct evp_pkey_st EVP_PKEY;
                ^~~~~~~~~~~
src/Csocket.cpp:2185:30: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
     hxKey = BN_bn2hex( pKey->pkey.dsa->pub_key );
                              ^~~~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ossl_typ.h:93:16: note: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
 typedef struct evp_pkey_st EVP_PKEY;
                ^~~~~~~~~~~
In file included from ./include/znc/defines.h:24:0,
                 from ./include/znc/Csocket.h:43,
                 from src/Csocket.cpp:41:
src/Csocket.cpp:2190:59: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
     CS_DEBUG( "Not Prepared for Public Key Type [" << pKey->type << "]" );
                                                           ^
./include/znc/ZNCDebug.h:38:13: note: in definition of macro 'DEBUG'
   sDebug << f;\
             ^
src/Csocket.cpp:2190:5: note: in expansion of macro 'CS_DEBUG'
     CS_DEBUG( "Not Prepared for Public Key Type [" << pKey->type << "]" );
     ^~~~~~~~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ossl_typ.h:93:16: note: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
 typedef struct evp_pkey_st EVP_PKEY;
                ^~~~~~~~~~~
In file included from ./include/znc/defines.h:24:0,
                 from ./include/znc/Csocket.h:43,
                 from src/Csocket.cpp:41:
src/Csocket.cpp:2190:61: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
     CS_DEBUG( "Not Prepared for Public Key Type [" << pKey->type << "]" );
                                                             ^
./include/znc/ZNCDebug.h:38:13: note: in definition of macro 'DEBUG'
   sDebug << f;\
             ^
src/Csocket.cpp:2190:5: note: in expansion of macro 'CS_DEBUG'
     CS_DEBUG( "Not Prepared for Public Key Type [" << pKey->type << "]" );
     ^~~~~~~~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ossl_typ.h:93:16: note: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
 typedef struct evp_pkey_st EVP_PKEY;
                ^~~~~~~~~~~
src/Csocket.cpp: In member function 'long int Csock::GetPeerFingerprint(CString&)':
src/Csocket.cpp:2220:35: error: invalid use of incomplete type 'X509 {aka struct x509_st}'
    snprintf( buf, 3, "%02x", pCert->sha1_hash[i] );
                                   ^~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ossl_typ.h:119:16: note: forward declaration of 'X509 {aka struct x509_st}'
 typedef struct x509_st X509;
                ^~~~~~~
src/Csocket.cpp:2220:37: error: invalid use of incomplete type 'X509 {aka struct x509_st}'
    snprintf( buf, 3, "%02x", pCert->sha1_hash[i] );
                                     ^~~~~~~~~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./include/znc/Csocket.h:84,
                 from src/Csocket.cpp:41:
/usr/include/openssl/ossl_typ.h:119:16: note: forward declaration of 'X509 {aka struct x509_st}'
 typedef struct x509_st X509;
                ^~~~~~~
make: *** [Makefile:110: src/Csocket.o] Error 1
make: *** Waiting for unfinished jobs....
Building module webadmin...
In file included from ./include/znc/Client.h:23:0,
                 from ./include/znc/znc.h:21,
                 from ./include/znc/IRCNetwork.h:24,
                 from src/IRCNetwork.cpp:17:
src/IRCNetwork.cpp: In member function 'bool CIRCNetwork::JoinChan(CChan*)':
./include/znc/main.h:110:3: warning: nonnull argument 'this' compared to NULL [-Wnonnull-compare]
   if (macNETWORK != NULL) {                                      \
   ^
src/IRCNetwork.cpp:756:3: note: in expansion of macro 'NETWORKMODULECALL'
   NETWORKMODULECALL(OnTimerAutoJoin(*pChan), m_pUser, this, NULL, &bFailed);
   ^~~~~~~~~~~~~~~~~
src/IRCNetwork.cpp: In member function 'void CIRCNetwork::ClientConnected(CClient*)':
./include/znc/main.h:110:3: warning: nonnull argument 'this' compared to NULL [-Wnonnull-compare]
   if (macNETWORK != NULL) {                                      \
   ^
src/IRCNetwork.cpp:529:3: note: in expansion of macro 'NETWORKMODULECALL'
   NETWORKMODULECALL(OnPrivBufferPlayLine(*pClient, sLine), m_pUser, this, NULL, &bContinue);
   ^~~~~~~~~~~~~~~~~
src/IRCNetwork.cpp: In member function 'bool CIRCNetwork::Connect()':
./include/znc/main.h:110:3: warning: nonnull argument 'this' compared to NULL [-Wnonnull-compare]
   if (macNETWORK != NULL) {                                      \
   ^
src/IRCNetwork.cpp:1000:2: note: in expansion of macro 'NETWORKMODULECALL'
  NETWORKMODULECALL(OnIRCConnecting(pIRCSock), m_pUser, this, NULL, &bAbort);
  ^~~~~~~~~~~~~~~~~
Building module partyline...
Building module simple_away...
Building module notify_connect...
Building module sasl...
Building module controlpanel...
Building module chansaver...
sasl.cpp: In member function 'bool DHCommon::ParseDH(const CString&)':
sasl.cpp:136:5: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   dh->p = BN_bin2bn(data, size, NULL);
     ^~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
sasl.cpp:136:7: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   dh->p = BN_bin2bn(data, size, NULL);
       ^
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
sasl.cpp:155:5: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   dh->g = BN_bin2bn(data, size, NULL);
     ^~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
sasl.cpp:155:7: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   dh->g = BN_bin2bn(data, size, NULL);
       ^
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
sasl.cpp: In member function 'bool CSASLMod::AuthenticateAES(const CString&)':
sasl.cpp:371:18: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   BN_bn2bin(dh.dh->pub_key, (unsigned char *)out_ptr);
                  ^~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
sasl.cpp:371:20: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   BN_bn2bin(dh.dh->pub_key, (unsigned char *)out_ptr);
                    ^~~~~~~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
In file included from /usr/include/openssl/asn1.h:24:0,
                 from /usr/include/openssl/objects.h:916,
                 from /usr/include/openssl/evp.h:27,
                 from /usr/include/openssl/x509.h:23,
                 from /usr/include/openssl/ssl.h:50,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
sasl.cpp: In member function 'bool CSASLMod::AuthenticateBlowfish(const CString&)':
sasl.cpp:433:34: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   length = 2 + BN_num_bytes(dh.dh->pub_key) + password_length + GetNV("username").size() + 1;
                                  ^
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
In file included from /usr/include/openssl/asn1.h:24:0,
                 from /usr/include/openssl/objects.h:916,
                 from /usr/include/openssl/evp.h:27,
                 from /usr/include/openssl/x509.h:23,
                 from /usr/include/openssl/ssl.h:50,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
sasl.cpp:433:36: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   length = 2 + BN_num_bytes(dh.dh->pub_key) + password_length + GetNV("username").size() + 1;
                                    ^
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
In file included from /usr/include/bits/byteswap.h:35:0,
                 from /usr/include/endian.h:60,
                 from /usr/include/ctype.h:39,
                 from /usr/include/c++/7.3.0/cctype:42,
                 from /usr/include/c++/7.3.0/bits/localefwd.h:42,
                 from /usr/include/c++/7.3.0/string:43,
                 from /usr/include/c++/7.3.0/stdexcept:39,
                 from /usr/include/c++/7.3.0/array:39,
                 from /usr/include/c++/7.3.0/tuple:39,
                 from /usr/include/c++/7.3.0/bits/stl_map.h:63,
                 from /usr/include/c++/7.3.0/map:61,
                 from ./../include/znc/ZNCString.h:21,
                 from ./../include/znc/IRCNetwork.h:21,
                 from sasl.cpp:17:
sasl.cpp:438:55: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   uint16_t size16 = htons((uint16_t)BN_num_bytes(dh.dh->pub_key));
                                                       ^
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
In file included from /usr/include/bits/byteswap.h:35:0,
                 from /usr/include/endian.h:60,
                 from /usr/include/ctype.h:39,
                 from /usr/include/c++/7.3.0/cctype:42,
                 from /usr/include/c++/7.3.0/bits/localefwd.h:42,
                 from /usr/include/c++/7.3.0/string:43,
                 from /usr/include/c++/7.3.0/stdexcept:39,
                 from /usr/include/c++/7.3.0/array:39,
                 from /usr/include/c++/7.3.0/tuple:39,
                 from /usr/include/c++/7.3.0/bits/stl_map.h:63,
                 from /usr/include/c++/7.3.0/map:61,
                 from ./../include/znc/ZNCString.h:21,
                 from ./../include/znc/IRCNetwork.h:21,
                 from sasl.cpp:17:
sasl.cpp:438:57: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   uint16_t size16 = htons((uint16_t)BN_num_bytes(dh.dh->pub_key));
                                                         ^
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
sasl.cpp:441:18: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   BN_bn2bin(dh.dh->pub_key, (unsigned char *)out_ptr);
                  ^~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
sasl.cpp:441:20: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   BN_bn2bin(dh.dh->pub_key, (unsigned char *)out_ptr);
                    ^~~~~~~
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
In file included from /usr/include/openssl/asn1.h:24:0,
                 from /usr/include/openssl/objects.h:916,
                 from /usr/include/openssl/evp.h:27,
                 from /usr/include/openssl/x509.h:23,
                 from /usr/include/openssl/ssl.h:50,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
sasl.cpp:442:32: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   out_ptr += BN_num_bytes(dh.dh->pub_key);
                                ^
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
In file included from /usr/include/openssl/asn1.h:24:0,
                 from /usr/include/openssl/objects.h:916,
                 from /usr/include/openssl/evp.h:27,
                 from /usr/include/openssl/x509.h:23,
                 from /usr/include/openssl/ssl.h:50,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
sasl.cpp:442:34: error: invalid use of incomplete type 'DH {aka struct dh_st}'
   out_ptr += BN_num_bytes(dh.dh->pub_key);
                                  ^
In file included from /usr/include/openssl/crypto.h:31:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from ./../include/znc/Csocket.h:84,
                 from ./../include/znc/Socket.h:21,
                 from ./../include/znc/Client.h:21,
                 from ./../include/znc/znc.h:21,
                 from ./../include/znc/IRCNetwork.h:24,
                 from sasl.cpp:17:
/usr/include/openssl/ossl_typ.h:104:16: note: forward declaration of 'DH {aka struct dh_st}'
 typedef struct dh_st DH;
                ^~~~~
make[1]: *** [Makefile:123: sasl.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make: *** [Makefile:97: modules] Error 2

Build dependencies to remove: 4
Removing: openssl-dev tcl tcl-dev zlib-dev

ERROR: cook failed

Debug information
================================================================================
Cook date: 2018-02-28 23:13
Wasted time : 24s
111:src/Csocket.cpp:569:8: error: 'COMP_rle' was not declared in this scope
119:src/Csocket.cpp:1343:29: error: 'SSLv3_client_method' was not declared in this scope
136:src/Csocket.cpp:1360:29: error: 'SSLv2_client_method' was not declared in this scope
144:src/Csocket.cpp:1439:29: error: 'SSLv3_server_method' was not declared in this scope
161:src/Csocket.cpp:1456:29: error: 'SSLv2_server_method' was not declared in this scope
169:src/Csocket.cpp:2170:26: error: invalid use of incomplete type 'SSL_SESSION {aka struct ssl_session_st}'
177:src/Csocket.cpp:2170:28: error: invalid use of incomplete type 'SSL_SESSION {aka struct ssl_session_st}'
185:src/Csocket.cpp:2172:46: error: invalid use of incomplete type 'SSL_SESSION {aka struct ssl_session_st}'
193:src/Csocket.cpp:2172:48: error: invalid use of incomplete type 'SSL_SESSION {aka struct ssl_session_st}'
201:src/Csocket.cpp:2176:16: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
212:src/Csocket.cpp:2176:18: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
223:src/Csocket.cpp:2180:28: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
234:src/Csocket.cpp:2180:30: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
245:src/Csocket.cpp:2185:28: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
256:src/Csocket.cpp:2185:30: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
270:src/Csocket.cpp:2190:59: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
290:src/Csocket.cpp:2190:61: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
308:src/Csocket.cpp:2220:35: error: invalid use of incomplete type 'X509 {aka struct x509_st}'
319:src/Csocket.cpp:2220:37: error: invalid use of incomplete type 'X509 {aka struct x509_st}'
365:sasl.cpp:136:5: error: invalid use of incomplete type 'DH {aka struct dh_st}'
380:sasl.cpp:136:7: error: invalid use of incomplete type 'DH {aka struct dh_st}'
395:sasl.cpp:155:5: error: invalid use of incomplete type 'DH {aka struct dh_st}'
410:sasl.cpp:155:7: error: invalid use of incomplete type 'DH {aka struct dh_st}'
426:sasl.cpp:371:18: error: invalid use of incomplete type 'DH {aka struct dh_st}'
441:sasl.cpp:371:20: error: invalid use of incomplete type 'DH {aka struct dh_st}'
468:sasl.cpp:433:34: error: invalid use of incomplete type 'DH {aka struct dh_st}'
494:sasl.cpp:433:36: error: invalid use of incomplete type 'DH {aka struct dh_st}'
523:sasl.cpp:438:55: error: invalid use of incomplete type 'DH {aka struct dh_st}'
552:sasl.cpp:438:57: error: invalid use of incomplete type 'DH {aka struct dh_st}'
567:sasl.cpp:441:18: error: invalid use of incomplete type 'DH {aka struct dh_st}'
582:sasl.cpp:441:20: error: invalid use of incomplete type 'DH {aka struct dh_st}'
608:sasl.cpp:442:32: error: invalid use of incomplete type 'DH {aka struct dh_st}'
634:sasl.cpp:442:34: error: invalid use of incomplete type 'DH {aka struct dh_st}'
656:ERROR: cook failed
================================================================================

